# Generated from glimmer-dsl-swt-4.20.15.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name glimmer-dsl-swt

Name: rubygem-%{gem_name}
Version: 4.20.15.3
Release: 1%{?dist}
Summary: Glimmer DSL for SWT (JRuby Desktop Development GUI Framework)
License: MIT
URL: http://github.com/AndyObtiva/glimmer-dsl-swt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.3
# BuildRequires: rubygem(juwelier) >= 2.4.9
# BuildRequires: rubygem(juwelier) < 3.0.0
# BuildRequires: rubygem(warbler) >= 2.0.5
# BuildRequires: rubygem(warbler) < 3.0.0
# BuildRequires: rubygem(rspec-mocks) >= 3.0
# BuildRequires: rubygem(rspec-mocks) < 4
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(coveralls) = 0.8.23
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(simplecov-lcov) >= 0.7.0
# BuildRequires: rubygem(simplecov-lcov) < 0.8
BuildArch: noarch

%description
Glimmer DSL for SWT (JRuby Desktop Development GUI Framework) is a native-GUI
cross-platform desktop development library written in JRuby, an OS-threaded
faster JVM version of Ruby. Glimmer's main innovation is a declarative Ruby
DSL that enables productive and efficient authoring of desktop application
user-interfaces by relying on the robust Eclipse SWT library. Glimmer
additionally innovates by having built-in data-binding support, which greatly
facilitates synchronizing the GUI with domain models, thus achieving true
decoupling of object oriented components and enabling developers to solve
business problems (test-first) without worrying about GUI concerns, or
alternatively drive development GUI-first, and then write clean business
models (test-first) afterwards. Not only does Glimmer provide a large set of
GUI widgets, but it also supports drawing Canvas Graphics like Shapes and
Animations. To get started quickly, Glimmer offers scaffolding options for
Apps, Gems, and Custom Widgets. Glimmer also includes native-executable
packaging support, sorely lacking in other libraries, thus enabling the
delivery of desktop apps written in Ruby as truly native DMG/PKG/APP files on
the Mac + App Store, MSI/EXE files on Windows, and Gem Packaged Shell Scripts
on Linux. Glimmer was the first Ruby gem to bring SWT (Standard Widget
Toolkit) to Ruby, thanks to creator Andy Maleh,
EclipseCon/EclipseWorld/RubyConf speaker and expert.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/glimmer
%{_bindir}/girb
%{_bindir}/glimmer-setup
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/RUBY_VERSION
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/icons
%{gem_libdir}
%{gem_instdir}/samples
%{gem_instdir}/sounds
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/docs
%{gem_instdir}/glimmer-dsl-swt.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.20.15.3-1
- Initial package
